textures/env/subway
{
	qer_editorimage textures/subway_outside/skybox.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 1500
	q3map_sun 1.0000000 1.000000 1.000000 40 100 10
	skyparms env/subway/subwaysky - -
}

textures/subway/fog
{
	qer_editorimage textures/sfx/fog_black.tga
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	
	fogparms ( 0.00001 0.00001 0.00001 ) 3192
}

textures/subway/subway_ice
{
	qer_editorimage textures/subway/subway_ice.tga
	surfaceparm nodamage
	surfaceparm slick
	tesssize 256

	{
		map textures/subway/subway_ice.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/subway/subway_ice2.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 4 4
		detail
	}
}


textures/subway/metal_nonsolid
{
	surfaceparm nonsolid
	implicitMask -
}

textures/subway/indust_metal_floor
{
	surfaceparm metalsteps
	implicitMask -
}

textures/subway/indust_metal_floor
{
	surfaceparm metalsteps
	implicitMask -
}

textures/subway/ametal_m03_cushion
{
	surfaceparm metalsteps
	surfaceparm nodamage
	implicitMask -
}

textures/subway/light_blue
{
	qer_editorimage textures/subway/light_blue.jpg
	q3map_lightimage textures/subway/light_blue.jpg
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/light_blue.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/light_blue.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/subway/light_orange
{
	qer_editorimage textures/subway/light_orange.jpg
	q3map_lightimage textures/subway/light_orange.jpg
	q3map_surfacelight 9000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/light_orange.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/light_orange.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/subway/water
{
	qer_editorimage textures/subway/water_2.tga
	qer_trans .5
	q3map_globaltexture
	cull disable
	surfaceparm nonsolid
	surfaceparm water
	{
		map textures/subway/water_2.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/subway/water_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/subway/door
{
	surfaceparm metalsteps
	implicitMap -
}

textures/empire_statebuilding/door
{
	surfaceparm metalsteps
	implicitMap -
}

textures/subway/ladder
{
	cull disable
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	nopicmip
	implicitMask -
}

textures/subway/whiteglass
{
	qer_editorimage textures/subway/whiteglass.jpg
	qer_trans 0.5
	cull none
	surfaceparm glass
	surfaceparm trans
	{
		map textures/subway/whiteglass.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcgen environment
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/subway/light_m16_small
{
	qer_editorimage textures/subway/light_m16.tga
	q3map_surfacelight 10000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/light_m16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/light_m16.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/subway/tp_light_green
{
	qer_editorimage textures/subway/tp_light_green.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/tp_light_green.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/tp_light_green.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/subway/tp_light_purple
{
	qer_editorimage textures/subway/tp_light_purple.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/tp_light_purple.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/tp_light_purple.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/subway/white
{
	qer_editorimage textures/subway/white.jpg
	q3map_lightimage textures/subway/white.jpg
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/white.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/white.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/subway/fire_exit
{
	qer_editorimage textures/subway/fire_exit.jpg
	q3map_lightimage textures/subway/fire_exit.jpg
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/fire_exit.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/fire_exit.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/subway/light_m5_red1
{
	qer_editorimage textures/subway/light_m51.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/light_m51.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/light_m51.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/subway/light_white
{
	qer_editorimage textures/subway/light_white.jpg
	q3map_lightimage textures/subway/light_white.jpg
	q3map_surfacelight 5000
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/light_white.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/light_white.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/subway/whitelight_m20_1500
{
	q3map_surfacelight 2500
	qer_editorimage textures/subway/whitelight_m20.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/whitelight_m20.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
	{
		map textures/subway/whitelight_m20b.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 2 2 0 .2
	}
}

textures/subway/telewater
{
	qer_editorimage textures/subway/telewater.tga
	q3map_globaltexture
	cull disable
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	surfaceparm lightfilter
	surfaceparm pointlight
	{
		map textures/subway/telewater.tga
		blendFunc GL_ONE GL_ONE
		tcMod turb 0 0.05 0.5 0.15
		tcmod scroll 0.01 0.09
	}
}